[jboss-cvs] JBossAS SVN: r109456 - in branches/JBPAPP_5_1_datagrid: cluster/src/installers/datagrid and 1 other directory.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Wed Nov 24 13:21:31 EST 2010


Author: rachmatowicz at jboss.com
Date: 2010-11-24 13:21:30 -0500 (Wed, 24 Nov 2010)
New Revision: 109456

Added:
   branches/JBPAPP_5_1_datagrid/cluster/src/installers/datagrid/build.sh
Modified:
   branches/JBPAPP_5_1_datagrid/build/build-distr.xml
Log:
Add build.sh file to datagrid installer (JBPAPP-5466)

Modified: branches/JBPAPP_5_1_datagrid/build/build-distr.xml
===================================================================
--- branches/JBPAPP_5_1_datagrid/build/build-distr.xml	2010-11-24 18:10:49 UTC (rev 109455)
+++ branches/JBPAPP_5_1_datagrid/build/build-distr.xml	2010-11-24 18:21:30 UTC (rev 109456)
@@ -1167,6 +1167,9 @@
     <copy todir="${_deploy.sar}">
         <fileset dir="${org.infinispan.lib}" includes="infinispan-server-rest.war" />
     </copy>
+	
+	<!-- set executable permissions on build.sh -->
+	<chmod file="${_datagrid.root}/build.sh" perm="ugo+rx"/>
     
   </target>
 

Added: branches/JBPAPP_5_1_datagrid/cluster/src/installers/datagrid/build.sh
===================================================================
--- branches/JBPAPP_5_1_datagrid/cluster/src/installers/datagrid/build.sh	                        (rev 0)
+++ branches/JBPAPP_5_1_datagrid/cluster/src/installers/datagrid/build.sh	2010-11-24 18:21:30 UTC (rev 109456)
@@ -0,0 +1,172 @@
+#!/bin/sh
+### ====================================================================== ###
+##                                                                          ##
+##  This is the main entry point for the build system.                      ##
+##                                                                          ##
+##  Users should be sure to execute this file rather than 'ant' to ensure   ##
+##  the correct version is being used with the correct configuration.       ##
+##                                                                          ##
+### ====================================================================== ###
+
+# $Id: build.sh 99303 2010-01-12 17:01:54Z bshim $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+    tools
+    tools/ant \
+    tools/apache/ant \
+    ant"
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+    CYGWIN*)
+        cygwin=true
+        ;;
+
+    Darwin*)
+        darwin=true
+        ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+    echo "${PROGNAME}: $*"
+    exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+    for file in $*; do
+	if [ -f "$file" ]; then
+	    . $file
+	fi
+    done
+}
+
+search() {
+    search="$*"
+    for d in $search; do
+	ANT_HOME="`pwd`/$d"
+	ANT="$ANT_HOME/bin/ant"
+	if [ -x "$ANT" ]; then
+	    # found one
+	    echo $ANT_HOME
+	    break
+	fi
+    done
+}
+
+#
+# Main function.
+#
+main() {
+    # if there is a build config file. then source it
+    maybe_source "$DIRNAME/build.conf" "$HOME/.build.conf"
+
+    # Increase the maximum file descriptors if we can
+    if [ $cygwin = "false" ]; then
+	MAX_FD_LIMIT=`ulimit -H -n`
+	if [ $? -eq 0 ]; then
+	    if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+		# use the system max
+		MAX_FD="$MAX_FD_LIMIT"
+	    fi
+
+	    ulimit -n $MAX_FD
+	    if [ $? -ne 0 ]; then
+		warn "Could not set maximum file descriptor limit: $MAX_FD"
+	    fi
+	else
+	    warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+	fi
+    fi
+
+    # try the search path
+    ANT_HOME=`search $ANT_SEARCH_PATH`
+
+    # try looking up to root
+    if [ "x$ANT_HOME" = "x" ]; then
+	target="build"
+	_cwd=`pwd`
+
+	while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+	    cd ..
+	    cwd=`pwd`
+	    ANT_HOME=`search $ANT_SEARCH_PATH`
+	done
+
+	# make sure we get back
+	cd "$_cwd"
+
+	if [ "$cwd" != "$ROOT" ]; then
+	    found="true"
+	fi
+
+	# complain if we did not find anything
+	if [ "$found" != "true" ]; then
+	    die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+	fi
+    fi
+
+    # make sure we have one
+    ANT=$ANT_HOME/bin/ant
+    if [ ! -x "$ANT" ]; then
+	die "Ant file is not executable: $ANT"
+    fi
+
+    # Set the max memory to 256m
+    ANT_OPTS=-Xmx256m
+
+    # setup some build properties
+    ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+
+    # change to the directory where the script lives so users are not forced
+    # to be in the same directory as build.xml
+    cd $DIRNAME
+
+    # export some stuff for ant
+    export ANT ANT_HOME ANT_OPTS
+
+    # execute in debug mode, or simply execute
+    if [ "x$ANT_DEBUG" != "x" ]; then
+	/bin/sh -x $ANT $ANT_OPTIONS "$@"
+    else
+	exec "$ANT" $ANT_OPTIONS "$@"
+    fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"


Property changes on: branches/JBPAPP_5_1_datagrid/cluster/src/installers/datagrid/build.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the jboss-cvs-commits mailing list